# Discount Products Discount Products ## Gets all of the discount products in the system. - [GET /discountProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/listdiscountproducts.md): This method will scan all discount products and and return them to the caller. ## Creates a new discount product record that does not already exist. - [POST /discountProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/creatediscountproduct.md): This method will auto-generate an ID and create a new discount product. If an ID is specified for the discount product, an error will be thrown. ## Execute Batch Operations - [POST /discountProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a discount product from the system by its ID. - [DELETE /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/deletediscountproduct.md): This method will delete a discount product with the specified ID. ## Returns a discount product from the system by its ID. - [GET /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/getdiscountproduct.md): This method will look up a discount product by the specified ID and return it back. ## Partially updates a discount product with the specified ID. - [PATCH /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/patchdiscountproduct.md): This method will patch an existing discount product with the specified ID, using the HTTP PATCH specification. ## Updates a discount product with the specified ID. - [PUT /discountProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/discount-products/updatediscountproduct.md): This method will update an existing discount product with the specified ID.